Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I recently installed Visual Studio 2010 full pack (including SQL Server 2008).

After that, I installed Visual j# Express 2005 in order to work on a project.

The problem is: When I try to open a new SQL database in my j# project. it says I need to install SQL 2005. And when I try to install SQL 2005, it says I already have a newer version (2008) so I can't install 2005.

share|improve this question
    
You should always install older software first, especially with the dev environments. I think you're going to have to remove the 2010 and start over. –  user3463 Nov 30 '11 at 21:28
add comment

1 Answer

Looks like you're only option is to uninstall SQL server 2008, then install 2005. Although I haven't tested it, you can try installing them alongside each other, oldest first.

Since J# Express 2005 was discontinued when the 2008 series came out, you won't be able to use SQL Server 2008 with it. After you install the 2005 version, and go to install the new one, be sure to look for an option to keep older versions, so it isn't removed.

share|improve this answer
    
I thought of this option, more like a last resort. I'll try it and get back to you –  Or betzalel Dec 1 '11 at 7:41
    
Thanks for encouraging me to go for it. SOLUTION : Remove every component of sql in add/remove (Even not 2008, remove every microsoft sql server in add/remove (even sql server compact)). Than install 2005. I havn't installed 2008 yet though. For now, I don't need it –  Or betzalel Dec 1 '11 at 18:30
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.